.TH "/home/x/siggen/exec/src/main.cpp" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/x/siggen/exec/src/main.cpp
.SH SYNOPSIS
.br
.PP
\fC#include 'SigGenLib\&.h'\fP
.br
\fC#include <iostream>\fP
.br
\fC#include 'Logging\&.h'\fP
.br

.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBReturnCodes\fP : int { \fBReturnCodes::OK\fP = 0, \fBReturnCodes::QuitOnHelp\fP = 1, \fBReturnCodes::InvalidConfig\fP = 2, \fBReturnCodes::UnexpectedConfigException\fP = 3, \fBReturnCodes::FailedProcessing\fP = 4, \fBReturnCodes::UnexpectedProcessingException\fP = 5 }"
.br
.RI "possible return codes from executable "
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBmain\fP (int argc, char *argv[])"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
\fBAuthor\fP
.RS 4
Mojmir Svoboda 
.RE
.PP

.PP
Definition in file \fBmain\&.cpp\fP\&.
.SH "Enumeration Type Documentation"
.PP 
.SS "enum \fBReturnCodes\fP : int\fC [strong]\fP"

.PP
possible return codes from executable 
.PP
\fBEnumerator\fP
.in +1c
.TP
\fB\fIOK \fP\fP
success 
.TP
\fB\fIQuitOnHelp \fP\fP
help was invoked 
.TP
\fB\fIInvalidConfig \fP\fP
command line is not valid 
.TP
\fB\fIUnexpectedConfigException \fP\fP
unexpected configuration error 
.TP
\fB\fIFailedProcessing \fP\fP
processing failed 
.TP
\fB\fIUnexpectedProcessingException \fP\fP
processing failed with unexpected error 
.PP
Definition at line 11 of file main\&.cpp\&.
.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
